Public Attributes | List of all members
otas_c_handles_t Struct Reference
BLE Services » OTA Service Client (OTAS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <otas_c.h>`

## Public Attributes
uint16_t | otas_srvc_start_handle
| OTA Service start handle. More...
uint16_t | otas_srvc_end_handle
| OTA Service end handle. More...
uint16_t | otas_tx_handle
| OTA tx characteristic handle which has been got from peer. More...
uint16_t | otas_tx_cccd_handle
| OTA tx characteristic CCCD handle which has been got from peer. More...
uint16_t | otas_rx_handle
| OTA rx characteristic handle which has been got from peer. More...
uint16_t | otas_ctrl_handle
| OTA control characteristic handle which has been got from peer. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 110 of file otas_c.h.

## Member Data Documentation

## ◆ otas_ctrl_handle

uint16_t otas_c_handles_t::otas_ctrl_handle

OTA control characteristic handle which has been got from peer.

Definition at line 117 of file otas_c.h.

## ◆ otas_rx_handle

uint16_t otas_c_handles_t::otas_rx_handle

OTA rx characteristic handle which has been got from peer.

Definition at line 116 of file otas_c.h.

## ◆ otas_srvc_end_handle

uint16_t otas_c_handles_t::otas_srvc_end_handle

OTA Service end handle.

Definition at line 113 of file otas_c.h.

## ◆ otas_srvc_start_handle

uint16_t otas_c_handles_t::otas_srvc_start_handle

OTA Service start handle.

Definition at line 112 of file otas_c.h.

## ◆ otas_tx_cccd_handle

uint16_t otas_c_handles_t::otas_tx_cccd_handle

OTA tx characteristic CCCD handle which has been got from peer.

Definition at line 115 of file otas_c.h.

## ◆ otas_tx_handle

uint16_t otas_c_handles_t::otas_tx_handle

OTA tx characteristic handle which has been got from peer.

Definition at line 114 of file otas_c.h.

The documentation for this struct was generated from the following file:

- otas_c.h